<?php

namespace App\Console\Commands;

use App\Jobs\EXIFAuslesen;
use App\Models\Image;
use Illuminate\Console\Command;

class EXIFRead extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'exit:read';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Command description';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        $images = Image::query()
            ->where("exifRead", "=", 0)
            ->limit(10)
            ->get();
        foreach ($images as $image) {
            $this->info("Get Image ".$image->id);
            EXIFAuslesen::dispatchSync($image->id);
        }
    }
}
